Page MenuHomePhabricator

End-term evaluation for "Extension to identify and delete spam pages"
Closed, ResolvedPublic

Description

End-term evaluations will be performed by the mentors. All students and mentors must submit their evaluation on Melange after 21st August and before 28th August 2015.

General checklist for a successful evaluation:

Additional information, if any:

In summery Vivek was a very nice mentee and I hope you will join MW permanently :-)

Evaluation: Pass

Event Timeline

Niharika created this task.Aug 17 2015, 2:18 PM
Niharika assigned this task to Yaron_Koren.
Niharika raised the priority of this task from to Medium.
Niharika updated the task description. (Show Details)
Niharika added subscribers: Aklapper, Niharika, Sitic and 4 others.
polybuildr updated the task description. (Show Details)Aug 21 2015, 1:18 PM
polybuildr set Security to None.

About "Project is completed and hosted on Labs/elsewhere - in a demo-able condition", I'm now back in college and within a network proxy. IIRC, based on a discussion with Labs admins and my college student sysadmins, it basically is not possible for me to SSH into my Labs instance.

In addition, the extension is meant for admins (by default, only sysops) to operate, so hosting it as a demo on a public wiki that is in use for some other purpose is a bad idea, generally speaking.

Any suggestions on what could be done?

In addition, the extension is meant for admins (by default, only sysops) to operate, so hosting it as a demo on a public wiki that is in use for some other purpose is a bad idea, generally speaking.

The idea is to host it on a labs instance for testing purposes. If someone wants an extension for combating spam, they'd like to see what it actually does before putting it up on their wiki, I imagine.

You say there is already a Labs instance. Can we check out how the extension works on that?

Fair enough, and I understand the intention behind asking for a public demo. However, the other issue still remains, which is that I cannot SSH into my Labs instance through my college network's proxy.

@polybuildr, I think I am missing something here. Isn't the instance accessible online? Why exactly do you need to SSH in?

@NiharikaKohli, sorry, I should have clarified: the Labs instance does not have the extension installed. The original purpose of the instance was something else. In order to install the extension (and update it later), I'll need to ssh into the machine, which, as of now, I don't know a way to do.

@polybuildr, alright.

Hi @Yaron_Koren - do you have the rights to access and update the instance?

If not, I can do it, but I'll need to be added as a maintainer to the instance. My wikitech username is Niharika29.

I don't, but the other mentor, @jan , does.

jan updated the task description. (Show Details)Aug 21 2015, 9:15 PM
jan closed this task as Resolved.Aug 22 2015, 10:37 AM
jan updated the task description. (Show Details)

Evaluation uploaded to Melange, too